Bug 1572334 - powerdevil: default configuration bad/empty
Summary: powerdevil: default configuration bad/empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: powerdevil
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 17:42 UTC by Rex Dieter
Modified: 2018-05-01 23:36 UTC (History)
5 users (show)

Fixed In Version: powerdevil-5.12.4-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-01 07:42:41 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 391782 0 None None None 2018-04-26 17:42:56 UTC

Description Rex Dieter 2018-04-26 17:42:57 UTC
Upstream fix:
https://cgit.kde.org/powerdevil.git/commit/?id=be91abe7fc8cc731b57bec4cf2c004c07b0fd79b

Ignore "migration" key for determining whether the config is emptyPlasma/5.12
Otherwise we would never generate the default power management configuration
leading to it not suspending on lid close, not handling power buttons etc etc

CHANGELOG: Fixed bug that caused power management system to not work on a fresh install

Reviewed-By: David Edmundson

BUG: 391782
FIXED-IN: 5.12.5

Comment 1 Fedora Update System 2018-04-26 17:43:45 UTC
powerdevil-5.12.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae49d2d2ef

Comment 2 Fedora Blocker Bugs Application 2018-04-26 17:46:14 UTC
Proposed as a Blocker and Freeze Exception for 28-final by Fedora user rdieter using the blocker tracking app because:

 Fix for bad/missing default power management configuration on initial login to plasma session.  Without this fix, power management configuration is largely non-existent.

Comment 3 Adam Williamson 2018-04-30 16:14:24 UTC
Unfortunately, this was proposed as a blocker 20 minutes *after* the go/no-go meeting had completed blocker review - https://meetbot-raw.fedoraproject.org/fedora-meeting-1/2018-04-26/f28-final-go-no-go-meeting.2018-04-26-17.02.txt - and no-one flagged it up during the meeting, so it was not considered. The release train has now irrevocably sailed, so un-proposing this.

Comment 4 Fedora Update System 2018-05-01 07:42:41 UTC
powerdevil-5.12.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.